Subject: linking in rresvport
From: [email-masked] (James Dumser)

4 Feb 1997 11:40:53 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-MIMI-Options: headers none
X-Mailer: ELM [version 2.4 PL23]
Content-Length: 416       
Original-Sender: [email-masked]

I'm trying to build the lpq & lpr clients from FreeBSD. In trying to
link, I get
  gcc lpq.o -lcommon -lwsock32 -L../common_source -o lpq
  ../common_source/libcommon.a(common.o)(.text+0xf9):common.c: undefined reference to `rresvport'

I verified that rresvport is in libwsock32.a (as _rresvport@4), so I'm
at a loss as to why ld doesn't find it. What have I missed?

-- 
James Dumser    972-462-5335 [email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".